Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 134418 - ntpdate killed x server
Summary: ntpdate killed x server
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2004-10-02 04:29 UTC by Carl Gherardi
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-11 08:30:14 UTC


Attachments (Terms of Use)

Description Carl Gherardi 2004-10-02 04:29:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040929
Firefox/0.10

Description of problem:
When running ntpdate server as root from an xterm (GNOME environment)

X spontaneously restarted.

I was running evolution, rhythmbox, firefox and xterms at the time
(plus various applets)

My clock was out by about 15 minutes at the time.

Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20040617-1 xorg-x11-6.8.1-4

How reproducible:
Didn't try

Steps to Reproduce:
1. Let clock get out of sync by 15 mnutes
2. Be logged in to gnome session
3. ntpdate servername
    

Actual Results:  Spontaneous restart of xserver.

Expected Results:  Time change, perhaps a few minor problems with apps.

Additional info:

Can provide as necessary - let me know what you need.

Comment 1 Carl Gherardi 2004-10-02 04:32:54 UTC
Just remembered - I saw the response to ntpdate pop up on the terminal
before the crash

Something like:

2 Oct 12:33:06 ntpdate[18496]: adjust time server 10.61.0.113 offset
0.027329 sec

(Response when trying to trigger this with a small offset)

Comment 2 Carl Gherardi 2004-10-03 05:54:28 UTC
More info:

Let my clock drift by 15 minutes again, and similar results. This time
X recovered, but took several minutes to do so.

During this period, rhythbox stopped playing completely, I was alerted
that X had recovered (no screensaver, using xlock) by my music restarting.

Using rawhide updated 2 hour ago.

Hardware: Dell Inspiron 5000e

Comment 4 Mike A. Harris 2005-04-11 02:06:39 UTC
Attach your X server log, config file, /var/log/messages, and the output
of lsmod to the report as individual uncompressed file attachments using
the link below.


Comment 5 Mike A. Harris 2005-04-11 02:08:10 UTC
Setting status to "NEEDINFO", awaiting file attachments requested above.

TIA

Comment 6 Carl Gherardi 2005-04-11 02:52:28 UTC
The problem seems to have stopped between when I reported this and now.

If the problem recurs i'll create a new bug. Close for now.

Carl G

Comment 7 Mike A. Harris 2005-04-11 08:30:14 UTC
Ok, I'll set this to "RAWHIDE" for now.  If the problem recurs, please
report it to X.Org via http://bugs.freedesktop.org in the "xorg" component,
and supply full details for reproduceability.  This will ensure the problem
is visible to maximum number of X developers which will accelerate the
likelyhood of an early resolution.

Thanks.



Note You need to log in before you can comment on or make changes to this bug.